#include <iostream>
#include <fstream>
#include "unlocks.h"

using namespace std;

bool UnlockedMario;
bool UnlockedSpin;

void LoadUnlocks(char *filename)
{
     ifstream saveFile;
     saveFile.open(filename);
     
     if(!saveFile.is_open())
     {
         UnlockedMario = false;
         UnlockedSpin = false;
     }
     else
     {
         saveFile >> UnlockedMario;
         saveFile >> UnlockedSpin;
         saveFile.close();
     }
}

void WriteUnlocks(char *filename)
{
     ofstream saveFile(filename);
     if(saveFile.is_open())
     {
         saveFile << UnlockedMario;
         saveFile << ' ';
         saveFile << UnlockedSpin;
         saveFile.close();
     }
}

void ChangeUnlock(bool newMario, bool newSpin)
{
     UnlockedMario = newMario;
     UnlockedSpin = newSpin;
}

bool GetMarioUnlocked(void)
{
     return UnlockedMario;
}

bool GetSpinUnlocked(void)
{
     return UnlockedSpin;
}
