#include <allegro.h>
#include "vector.h"
#include "graphics.h"
#include "minigame.h"

void MINIGAME::LoadArt(void)
{
     standardFont = alfont_load_font("carbon.ttf");
     alfont_set_font_size(standardFont, 24);
}

void MINIGAME::DisplayGoal(char *Goal)
{
     VECTOR timer;
     
     timer.SetValue(2);
     timer.SetUPS(-1);
     timer.AddToProcessingList();
     
     while(timer.GetValueFloor() > 0)
     {
         ClearScreen(0, 0, 0);
         
         alfont_textout_centre_aa(back_buffer, standardFont, Goal, 320, 240 - 12, makecol(255, 255, 255));
         
         FlipScreen();
     }
     timer.RemoveFromProcessingList();
}

void MINIGAME::ReleaseArt(void)
{
     alfont_destroy_font(standardFont);
}
