#ifndef _STOPDISK_H
#define _STOPDISK_H

#include "sprite.h"
#include "vector.h"
#include "minigame.h"
#include "sound.h"

class STOPDISK : MINIGAME
{
private:
      SPRITE disk;
      SPRITE arrow;
      VECTOR gameTimer;
      VECTOR rotation;
      SOUNDEFFECT click;
      void DisplayTimer(void);
public:
      void LoadArt(void);
      void ReleaseArt(void);
      bool PlayGame(int Difficulty);   //Returns true if you win.
};

#endif
